<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Account List</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    <li><a class="header_link" style="text-decoration:none; color:blue" href="{% url 'home' %}">Home</a></li>
                    <li><a class="header_link" style="text-decoration:none; color:blue" href="{% url 'create_account' %}">Create an Account</a></li>
                </ul>
            </nav>
        </header>
        <main>
            <h1>Account List</h1>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number</th>
                        <th>Number of Receipts</th>
                    </tr>
                </thead>
                <tbody>
                    {% for account in accounts %}
                    <tr>
                        <td>{{ account.name }}</td>
                        <td>{{ account.number }}</td>
                        <td>{{ account.receipts.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </main>
    </body>
</html>
